<?php include("../../include/dbconnect.php");  

// Get all _POST VALUES HERE..

  foreach($_POST as $p=>$t)
  {
     $_POST[$p] = trim($t);
  }

  $myCatcode = $_POST['Catcode'];
  
  ?>
<body background="../../images/fibermat.gif"><center>
<h2><font face="Arial, Helvetica, sans-serif"><b><font face='Arial, Helvetica, sans-serif'> 
  View Account Heads</font><font face="Arial, Helvetica, sans-serif"> 
  <?php

// Pull all the data from Catcode master & populate it

$stQuery = mysqli_query($conn,"select distinct acctcode,groupname from acctgroup  order by groupname");

?>
  </font> </h2>
<form name='myForm01' method='POST' action='<?=$_SERVER['PHP_SELF']?>'>
  <font face="Arial, Helvetica, sans-serif">
  <SELECT name='Catcode'   onChange="javascript:submit();">
    <?
     echo "<option selected value=\" 0\"> Select Group";
    while($row = mysqli_fetch_row($stQuery))
    {

		$temp = $row[1];
        if(isset($myCatcode) && preg_match("/" . preg_quote($myCatcode, '/') . "/", $row[0]))
	    {
            echo "<option selected value=\"$row[0]\">$temp";
        }
        else{
            echo "<option value=\"$row[0]\">$temp";
        }
    }
?>
  </SELECT></td></tr>
  </font>
</form>
<font face="Arial, Helvetica, sans-serif">
<?
$query = "select acctmast.record,acctmast.description,acctgroup.groupname,acctmast.type,active,reserved_word,acctmast.opening_balance as open_stock from acctmast,acctgroup where acctmast.acctgroup= '$myCatcode' and acctmast.acctgroup = acctgroup.acctcode order by acctmast.description ";
$result = mysqli_query($conn, $query);

if (!$result) {
    die("Query failed: " . mysqli_error($conn));
}

$number_cols = mysqli_num_fields($result);

echo '<table border="1" class="table table-striped">';
echo '<tr align="center">';

for ($i = 0; $i < $number_cols; $i++) {
    $fieldInfo = mysqli_fetch_field_direct($result, $i);
    echo '<th>' . $fieldInfo->name . '</th>';
}

echo '</tr>';

while ($row = mysqli_fetch_assoc($result)) {
    echo '<tr align="left">';
    echo '<td>';
    
    if (!isset($row['record'])) {
        echo 'NULL';
    } else {
        echo '<a href="editview.php?record=' . $row['record'] . '"><img src="../../images/b_edit.png"></a>';
    }

    foreach ($row as $key => $value) 
    {
       if ($key != 'record') {
        echo '<td>';
        echo $value;
       }
    }
    
    echo '</tr>';
}

echo '</table>';

echo '<br><br><font size="1"><center><a href="index.html">Return to index page</a></center></font>';
?>
</div>

</body>
</html>
